#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string unos;
    cin>>unos;
    int a,b;
    cin>>a>>b;
    if(abs(a-b)>=2)
    {
        cout<<"nemoguce";
        return 0;
    }
    if(a==b)
    {
        for(int i=0;i<a;i++)
        {
            cout<<unos;
        }
    }
    if(a>b)
    {
        for(int i=0;i<b;i++)
        {
            cout<<unos;
        }
        cout<<unos[0];
    }
    if(a<b)
    {
        cout<<unos[1];
        for(int i=0;i<a;i++)
        {
            cout<<unos;
        }
    }
    return 0;
}